Subject: Re: [websec] effective request URI def, was: I-D Action: draft-ietf-websec-strict-transport-sec-02.txt

From: =JeffH <[email-masked]>
Date: Wed, 14 Sep 2011 14:08:15 -0700

thx again for the review Julian.

Julian noted..
 >
 > On 2011-08-06 01:34, =JeffH wrote:
 >> ...
 >> 12. Removed any and all dependencies on
 >> [I-D.draft-ietf-httpbis-p1-messaging-15], instead depending
 >> on [RFC2616] only. Fixes issue ticket #12
 >> <http://trac.tools.ietf.org/wg/websec/trac/ticket/12>.
 >> ...
 >
 > Not sure this is a good idea.
 >
 > The current text copies a known bug from
 > draft-ietf-httpbis-p1-messaging-15 (see
 > <http://trac.tools.ietf.org/wg/httpbis/trac/changeset/1340>).

Fixed in my working copy: s/GET/OPTIONS/

 > Also, the ABNF claims it's based on RFC 2616's definitions, but mentions
 > RFC 3986 in ABNF comments. This needs to be checked.

Ok, checked it, found bugs (thanks), fixed in my working copy. Will certainly 
need further review.

 > Furthermore, there's a risk that HTTPbis will have to tune the
 > definition of Effective Request URI furthermore -- see
 > <http://trac.tools.ietf.org/wg/httpbis/trac/ticket/222>. (I realize
 > that's not your fault, but we somehow have to deal with this).

Agreed.

=JeffH